package msg_handler

// FansMedal 粉丝勋章
// TODO 完善粉丝勋章解析，后边带？的是未知的
type FansMedal struct {
	AnchorRoomId int64  `json:"anchor_roomid"` // 佩戴勋章所指的直播间ID
	AnchorUname  string `json:"anchor_uname"`  // 佩戴勋章所指的UP主名称
	GuardLevel   int64  `json:"guard_level"`   // 舰队等级
	IconId       int64  `json:"icon_id"`       // 图标ID???
	IsLighted    int64  `json:"is_lighted"`    // ???

	MedalColor       int64  `json:"medal_color"`        // 勋章颜色
	MedalColorBorder int64  `json:"medal_color_border"` // 勋章边框颜色
	MedalColorEnd    int64  `json:"medal_color_end"`    // 渐变勋章结束颜色
	MedalColorStart  int64  `json:"medal_color_start"`  // 渐变勋章开始颜色
	MedalLevel       int64  `json:"medal_level"`        // 勋章等级
	MedalName        string `json:"medal_name"`         // 勋章名
	Score            int64  `json:"score"`              // ???
	Special          string `json:"special"`            // ???
	TargetId         int64  `json:"target_id"`          // 佩戴勋章所指的主播ID
}

const (
	CoinTypeGold   = "gold"
	CoinTypeSilver = "silver"
)

func IsPaidGift(coinType string) bool {
	if coinType == CoinTypeGold {
		return true
	}
	if coinType == CoinTypeSilver {
		return false
	}
	return false
}
